/*LIBS*/
@import "../scss/flexslider";
@import "../scss/pymes";
@import "../scss/colors";
@import "../scss/ui-datepicker";
$prefix:pymes;

/*CUSTOM*/
body{

}
.z-top {
  a{
    text-decoration:none;
  }
}

.card-img-top,
.btn, .card{
  border-radius:0;
}
.caption-container {
  position: absolute;
  bottom: 0;
  color: white;
  padding:1%;
  width: 98%;
}
.dropdown-menu{
  margin-top:0;
  border:0;
  padding:0;
  border-radius:0;
  -webkit-box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  a{
    &:hover,
    &:focus{
        opacity:0.9;
    }
  }
}
.navbar-toggler {
  padding: .25rem .5rem;
  border-color: #a9a9a9;
  .icon-bar{}
}
.show .dropdown-toggle{
  color:white;
}
.z-top{
  padding: 5px 0;
  a {
    font-size: 13px;
    color: #fff;
    font-weight: 500;
    line-height: 25px;
    text-transform: uppercase;
  }
  .fa{
    font-size:12px;
  }
}
.z-head{
  color: #fff;
  z-index: 200;
  background-color: white;
  transition: all 200ms ease-in 0s;
  box-shadow: 0 0 6px rgba(0,0,0,0.5);
  .navbar{
    max-width: 1140px;
    margin:0px auto;
    a {
      transition: all 200ms ease-in 0s;
      font-family: 'Raleway', sans-serif;
      font-size: 14px;
      color:rgba(0, 0, 0, 0.6);
      &:hover, &:focus, &:focus{
      color: rgba(0, 0, 0, 0.6);
      }
    }
    .logo{
      max-height: 45px;
    }
    .dropdown-item{
      padding-bottom:.5rem;
      padding-top: .5rem;
      &:active{
        background-color: #f8f9fa;
      }
    }
  }
  &.fixed-top {
    .navbar{
      transition: all 200ms ease-in 0s;
    }
  }
}
.tours-tabs {
  .tab-content {
    border: 1px solid #ddd;
    border-top: none;
    -webkit-border-radius: 0 0 4px 4px;
    -moz-border-radius: 0 0 4px 4px;
    border-radius: 0 0 4px 4px;
    padding: 1rem;
  }
  .nav-link {
    color: white !important;
    margin: 0 2px;
    border-color: #ddd;
    opacity:0.98;
    &.active {
    color: #495057 !important;
    background-color: #ffffff !important;
    }
    &:hover{
      box-shadow: 0px -1px 1px 0px rgba(0, 0, 0, 0.48);
    }
  }
}

a.btn-more {
  padding: 5px 18px 5px 5px;
  color: #FFF !important;
  text-decoration: none;
  text-transform: uppercase;
  position: absolute;
  right: 0;
  font-size: 12px;
  line-height: 14px;
  &:after {
    font: normal normal normal 16px/1 FontAwesome;
    content: "\f101";
    position: absolute;
    right: 7px;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    transition: all 0.3s;
    top: 4px;
    line-height: 15px;
  }
  &:hover,
  &:focus{
    &:after{
      right:4px;
    }
  }

}
#journey .flex-direction-nav a:before {
  content: "\f104";
  color: rgba(245, 245, 245, 0.5);
  height: 54px;
}
#journey .flex-direction-nav a.flex-next:before {
    content: "\f105";
}
/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .dropdown.show>.dropdown-menu,
  .dropdown:hover>.dropdown-menu {
    display: block;
  }
  .dropdown-menu{
    border-top: 3px solid #9c9c9c;
  }
  .navbar{
    padding-top: 0;
    padding-bottom: 0;
  }
  .navbar-nav{
    a.nav-link {
      padding-top: 1.5rem;
      padding-bottom: 1.5rem;
    }
  }
  .caption-container p{
    font-size: 52px;
  }
  .dropdown-item{
    padding: 0.5rem;
  }
  #journey .flex-direction-nav a:before {
    font-size: 68px;
  }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {}
/* Colores */

/* Color */
@each $css, $color, $text, $hover, $link, $opposite, $light in $darks {
  .#{$prefix}#{$css} {
    .main a{
    color:darken($color,10%);
    }
    .tours-tabs {
      .nav-link {
        background-color: $color;
      }
    }
    .text-main{
        color:$color;
    }
    .text-inverse{
        color:$text;
    }
    .ui-datepicker{
      border-color:$color;
      box-shadow: 0 0 8px rgba($color,.6);
      .ui-datepicker-calendar
      {
        td a{
            color:$color;
        }
        .ui-datepicker-current-day{
            background-color:$color;
            a{color:$text;}
        }
      }
    }
    .navbar-nav .nav-link,
    {
      color:$color;
    }
    .navbar-nav
    {
        .dropdown:hover,
        .show {
          .dropdown-menu
          {
            border-color: $color;
          }
        }
    }

    .dropdown-menu{
      border-top-color: $color;
      a{
        color:$color;
      }
    }
    .btn-main{
        background-color: $color;
        border-color: darken($color,8%);
        &:hover{
            background-color: darken($color,8%);
        }
        &:focus{
            -webkit-box-shadow: 0 0 0 2px rgba($color,.5);
            box-shadow: 0 0 0 2px rgba($color,.5);
        }
    }
    .navbar-toggler {
        border-color: $color;
    }
    .icon-bar{
    background:$color;
    }
    .btn-opposite{
      background-color: $opposite;
      border-color: darken($opposite,5%);
      color:$text;
      &:hover{
          background-color: darken($opposite,4%);
      }
      &:focus{
        -webkit-box-shadow: 0 0 0 2px rgba($color,.5);
        box-shadow: 0 0 0 2px rgba($color,.5);
      }
    }
    .form-control:focus {
        border-color: $color;
    }
    .btn-more,
    .bg-main{
      background-color: $color;
    }
    .by{
      background-color: darken($color, 10%);
    }
  }
}
.card{
  border:0;
  a.title{
    color:black;
    font-family: 'Raleway', sans-serif;
    font-weight: bold;
    text-decoration:none;
    text-transform: uppercase;
  }
}
.tour-thumb:hover {
  background-color: #f3f3f3;
}
/* FIX */
.z-info{
  font-size: 12px;
  margin: 25px 0 0 0;
  padding-bottom: 50px;
}